Subject: bug#13827: faulty range check in bytevector accessor

From: Andy Wingo <[email-masked]>
Date: Wed, 13 Mar 2013 15:37:56 +0100

On Wed 13 Mar 2013 13:55, Andy Wingo <[email-masked]> writes:

> -  if (SCM_UNLIKELY (c_index + ((_len) >> 3UL) - 1 >= c_len))	\
> +  if (SCM_UNLIKELY (c_index >= c_len))                          \
>      scm_out_of_range (FUNC_NAME, index);

I see the intention was to take into account the size of the access
(e.g. 32 bits).  Confusing with len, _len, and c_len...

-- 
http://wingolog.org/